Index: lsb-bootscripts/etc/default/rc
===================================================================
--- lsb-bootscripts/etc/default/rc	(revision 63a2c2d454e05553cb83f3656108838f46975ba6)
+++ lsb-bootscripts/etc/default/rc	(revision d93bdd1e252180cc619b8eba3d75cfdf2b31edb4)
@@ -9,4 +9,10 @@
 # Source site specific rc configuration
 . /etc/default/rc.site
+
+# Set base directory information
+RC_BASE="/etc"
+
+# Location of network device scripts and config files
+NETWORK_DEVICES="/etc/network"
 
 # This sets default terminal options.
@@ -39,6 +45,55 @@
 CURS_UP="\\033[1A\\033[0G"   # Up one line, at the 0'th char
 
+# Distro Information
+DISTRO="Linux From Scratch" # The distro name
+DISTRO_CONTACT="lfs-dev@linuxfromscratch.org" # Bug report address
+DISTRO_MINI="lfs" # Short name used in filenames for distro config
+
+# Define custom colors used in messages printed to the screen
+BRACKET="\\033[1;34m" # Blue
+FAILURE="\\033[1;31m" # Red
+INFO="\\033[1;36m"    # Cyan
+NORMAL="\\033[0;39m"  # Grey
+SUCCESS="\\033[1;32m" # Green
+WARNING="\\033[1;33m" # Yellow
+
+# Prefix boot messages for easier reading on framebuffer consoles
+PREFIX_SUCCESS=" ${SUCCESS}*${NORMAL} "
+PREFIX_WARNING="${WARNING}**${NORMAL} "
+PREFIX_FAILURE="${FAILURE}***${NORMAL}"
+
 # Export the environment variables so they are inherited by the scripts
-export PATH SET_COL SET_WCOL CURS_UP BOOTLOG_ENAB
+export RC_BASE NETWORK_DEVICES PATH SET_COL SET_WCOL CURS_UP
+export DISTRO DISTRO_CONTACT DISTRO_MINI
+export BRACKET FAILURE INFO NORMAL SUCCESS WARNING
+export PREFIX_SUCCESS PREFIX_WARNING PREFIX_FAILURE
+
+# Interactive startup
+dlen="29" # The total length of the distro welcome string
+ilen="38" # The total length of the interactive message
+welcome_message="Welcome to ${INFO}${DISTRO}${NORMAL}"
+i_message="Press '${FAILURE}I${NORMAL}' to enter interactive startup"
+
+# Error message displayed when a script's exit value is not zero
+print_error_msg()
+{
+    # ${link} and ${error_value} are defined by the rc script
+    echo -e "${FAILURE}FAILURE:  You should not be reading this error message."
+    echo -e ""
+    echo -e -n "${FAILURE}It means that an unforseen error took place in"
+    echo -e -n "${INFO} ${link}"
+    echo -e "${FAILURE},"
+    echo -e "${FAILURE}which exited with a return value of ${error_value}."
+    echo -e ""
+    echo -e -n "${FAILURE}If you are able to track this error down to a bug"
+    echo -e "${FAILURE}in one of the files"
+    echo -e -n "provided by ${INFO}${DISTRO}${FAILURE}, "
+    echo -e -n "${FAILURE}please be so kind to inform us at "
+    echo -e "${INFO}${DISTRO_CONTACT}${FAILURE}.${NORMAL}"
+    echo -e ""
+    echo -e "${INFO}Press Enter to continue..."
+    echo -e "${NORMAL}"
+    $FAILURE_ACTION
+}
 
 # End /etc/default/rc
Index: lsb-bootscripts/etc/default/rc.site
===================================================================
--- lsb-bootscripts/etc/default/rc.site	(revision 63a2c2d454e05553cb83f3656108838f46975ba6)
+++ lsb-bootscripts/etc/default/rc.site	(revision d93bdd1e252180cc619b8eba3d75cfdf2b31edb4)
@@ -1,9 +1,2 @@
-# Set base directory information
-RC_BASE="/etc"
-RC_FUNCTIONS="${RC_BASE}/init.d/lfs-functions"
-
-# Location of network device scripts and config files
-NETWORK_DEVICES="/etc/network"
-
 # Bootlogging (requires a tempfs mount)
 BOOTLOG_ENAB="yes"
@@ -20,58 +13,9 @@
 FAILURE_ACTION="read ENTER"
 
-# Distro Information
-DISTRO="Linux From Scratch" # The distro name
-DISTRO_CONTACT="lfs-dev@linuxfromscratch.org" # Bug report address
-DISTRO_MINI="lfs" # Short name used in filenames for distro config
-
-# Define custom colors used in messages printed to the screen
-BRACKET="\\033[1;34m" # Blue
-FAILURE="\\033[1;31m" # Red
-INFO="\\033[1;36m"    # Cyan
-NORMAL="\\033[0;39m"  # Grey
-SUCCESS="\\033[1;32m" # Green
-WARNING="\\033[1;33m" # Yellow
-
-# Prefix boot messages for easier reading on framebuffer consoles
-PREFIX_SUCCESS=" ${SUCCESS}*${NORMAL} "
-PREFIX_WARNING="${WARNING}**${NORMAL} "
-PREFIX_FAILURE="${FAILURE}***${NORMAL}"
-
 # Export varialbles so that they are inherited by the initscripts
-export RC_BASE RC_FUNCTIONS NETWORK_DEVICES BOOTLOG_ENAB
-export HOSTNAME UTC CLOCKPARAMS FAILURE_ACTION
-export DISTRO DISTRO_CONTACT DISTRO_MINI
-export BRACKET FAILURE INFO NORMAL SUCCESS WARNING
-export PREFIX_SUCCESS PREFIX_WARNING PREFIX_FAILURE
+export BOOTLOG_ENAB HOSTNAME UTC CLOCKPARAMS FAILURE_ACTION
 
 # Interactive startup
 iprompt="yes" # Wether to display the interactive boot promp
 itime="2" # The ammount of time (in seconds) to display the prompt
-dlen="29" # The total length of the distro welcome string
-ilen="38" # The total length of the interactive message
-welcome_message="Welcome to ${INFO}${DISTRO}${NORMAL}"
-i_message="Press '${FAILURE}I${NORMAL}' to enter interactive startup"
 
-# Error message displayed when a script's exit value is not zero
-print_error_msg()
-{
-    # ${link} and ${error_value} are defined by the rc script
-    echo -e "${FAILURE}FAILURE:  You should not be reading this error message."
-    echo -e ""
-    echo -e -n "${FAILURE}It means that an unforseen error took place in"
-    echo -e -n "${INFO} ${link}"
-    echo -e "${FAILURE},"
-    echo -e "${FAILURE}which exited with a return value of ${error_value}."
-    echo -e ""
-    echo -e -n "${FAILURE}If you are able to track this error down to a bug"
-    echo -e "${FAILURE}in one of the files"
-    echo -e -n "provided by ${INFO}${DISTRO}${FAILURE}, "
-    echo -e -n "${FAILURE}please be so kind to inform us at "
-    echo -e "${INFO}${DISTRO_CONTACT}${FAILURE}.${NORMAL}"
-    echo -e ""
-    echo -e "${INFO}Press Enter to continue..."
-    echo -e "${NORMAL}"
-    $FAILURE_ACTION
-}
-
-
